@echo off

set OUTPUT_FILE64=CodeCoverageProperties64.properties
IF EXIST %OUTPUT_FILE64% del /F %OUTPUT_FILE64%
IF EXIST %OUTPUT_FILE64% exit 1
set variable=%cd%
set CODE_COVERAGE_BUILDTOOLKIT=%variable:\=/%

cd %CODE_COVERAGE_BUILDTOOLKIT%/plugins

REM Obtain the latest versions of the dependency files
for /f "delims= tokens=1" %%c in ('dir /B /OD "org.eclipse.tptp.javaprofiler*"') do set JAVA_PROFILER=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "com.ibm.rational.llc.common_*"') do set COMMON_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "com.ibm.rational.llc.engine_*"') do set ENGINE_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "org.eclipse.equinox.common_*"') do set EQ_COMMON_JAR=%%c

for /f "delims= tokens=1" %%c in ('dir /B /OD "org.eclipse.jdt.core_*"') do set JDT_CORE_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "ccapi*"') do set CCAPI_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "ccpdf*"') do set CCPDF_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "reactive*"') do set REACTIVE_JAR=%%c
for /f "delims= tokens=1" %%c in ('dir /B /OD "com.ibm.rational.llc.junitcc_*"') do set CCJUNIT_JAR=%%c

for /f "delims= tokens=1" %%c in ('dir /B /OD "org.eclipse.hyades.probekit_*"') do set HYADES_PROBE_JAR=%%c
cd ..


echo code-coverage-ext-dir=%CODE_COVERAGE_BUILDTOOLKIT%>> %OUTPUT_FILE64%
echo code-coverage-plugins-dir=${code-coverage-ext-dir}/plugins>> %OUTPUT_FILE64%
echo llc-common-plugin=%COMMON_JAR%>> %OUTPUT_FILE64%
echo llc-engine-plugin=%ENGINE_JAR%>> %OUTPUT_FILE64%
echo eclipse-equinox-common-plugin=%EQ_COMMON_JAR%>> %OUTPUT_FILE64%
echo eclipse-jdt-core-plugin=%JDT_CORE_JAR%>> %OUTPUT_FILE64%
echo ccapi-plugin=%CCAPI_JAR%>> %OUTPUT_FILE64%
echo ccpdf-plugin=%CCPDF_JAR%>> %OUTPUT_FILE64%
echo reactive-plugin=%REACTIVE_JAR%>> %OUTPUT_FILE64%
echo llc-jvm-arg-failure=-Dhaltonfailure=>> %OUTPUT_FILE64%
echo llc-jvm-arg-engine=-Xbootclasspath/a:${code-coverage-plugins-dir}/${llc-engine-plugin}>> %OUTPUT_FILE64%
echo llc-jvm-arg-output=-Dcoverage.out.file=>> %OUTPUT_FILE64%
echo llc-jvm-arg-control=-DcoverageControl=>> %OUTPUT_FILE64%
echo llc-jvm-arg-method=-Djunit_method_cc=>> %OUTPUT_FILE64%
echo llc-junitcc-plugin=%CCJUNIT_JAR%>> %OUTPUT_FILE64%
echo llc-jvm-probekit=%HYADES_PROBE_JAR%>> %OUTPUT_FILE64%
echo llc-jvm-probekit-jar=${code-coverage-plugins-dir}/${llc-jvm-probekit}/probekit.jar>> %OUTPUT_FILE64%
echo llc-jvmti-library=${code-coverage-plugins-dir}/%JAVA_PROFILER%/JPIBootLoader>> %OUTPUT_FILE64%
echo llc-jvm-arg-jvmti=-agentpath:${llc-jvmti-library}=JPIAgent:server=standalone,file=;ProbekitAgent:ext-pk-BCILibraryName=BCIEngProbe,ext-pk-probescript=>> %OUTPUT_FILE64%

:DONE
echo Code Coverage properties files successfully generated!
echo.

:END