#!/bin/sh

OUTPUT_FILE64=CodeCoverageProperties64.properties

if [ -f $OUTPUT_FILE64 ] ; then
    rm $OUTPUT_FILE64
fi

CODE_COVERAGE_BUILDTOOLKIT=`pwd`

cd "$CODE_COVERAGE_BUILDTOOLKIT"/plugins

# Obtain the latest versions of the dependency files
JAVA_PROFILER=`ls -d org.eclipse.tptp.javaprofiler* | sort | tail -1`;
COMMON_JAR=`ls com.ibm.rational.llc.common_*.jar | sort | tail -1`;
ENGINE_JAR=`ls -d com.ibm.rational.llc.engine_* | sort | tail -1`;
CCAPI_JAR=`ls ccapi*.jar | sort | tail -1`;
CCPDF_JAR=`ls ccpdf*.jar | sort | tail -1`;
REACTIVE_JAR=`ls reactive*.jar | sort | tail -1`;
EQUINOX_JAR=`ls org.eclipse.equinox.common_* | sort | tail -1`;
JDT_CORE_JAR=`ls org.eclipse.jdt.core_*.jar | sort | tail -1`;
CCJUNIT_JAR=`ls com.ibm.rational.llc.junitcc_*.jar | sort | tail -1`;
HYADES_PROBE_JAR=`ls -d org.eclipse.hyades.probekit_* | sort | tail -1`;
cd ..

# Determine the JVMTI library to use.
# Check if an argument was passed to require a 31/32 bit JVMTI library to be used.
# On z/OS the system is OS/390.
MACHINE_TYPE=`uname -s`
# On Linux, use uname -m to determine the machine type.
if [ "$MACHINE_TYPE" = "Linux" ]; then
	MACHINE_TYPE=`uname -m`
fi


echo code-coverage-ext-dir=${CODE_COVERAGE_BUILDTOOLKIT}>> ${OUTPUT_FILE64}
echo code-coverage-plugins-dir=\${code-coverage-ext-dir}/plugins>> ${OUTPUT_FILE64}
echo llc-common-plugin=${COMMON_JAR}>> ${OUTPUT_FILE64}
echo llc-engine-plugin=${ENGINE_JAR}>> ${OUTPUT_FILE64}
echo ccapi-plugin=${CCAPI_JAR}>> ${OUTPUT_FILE64}
echo ccpdf-plugin=${CCPDF_JAR}>> ${OUTPUT_FILE64}
echo reactive-plugin=${REACTIVE_JAR}>> ${OUTPUT_FILE64}
echo eclipse-equinox-common-plugin=${EQUINOX_JAR}>> ${OUTPUT_FILE64}
echo llc-junitcc-plugin=${CCJUNIT_JAR}>> ${OUTPUT_FILE64}
echo eclipse-jdt-core-plugin=${JDT_CORE_JAR}>> ${OUTPUT_FILE64}
echo llc-jvm-arg-failure=-Dhaltonfailure=>> ${OUTPUT_FILE64}
echo llc-jvm-arg-engine=-Xbootclasspath/a:\${code-coverage-plugins-dir}\/\${llc-engine-plugin}>> ${OUTPUT_FILE64}
echo llc-jvm-arg-output=-Dcoverage.out.file=>> ${OUTPUT_FILE64}
echo llc-jvm-arg-control=-DcoverageControl=>> ${OUTPUT_FILE64}
echo llc-jvm-arg-method=-Djunit_method_cc=>> ${OUTPUT_FILE64}
echo llc-jvm-probekit=${HYADES_PROBE_JAR}>> ${OUTPUT_FILE64}
echo llc-jvm-probekit-jar=\${code-coverage-plugins-dir}/\${llc-jvm-probekit}/probekit.jar>> ${OUTPUT_FILE64}
echo llc-jvmti-library=\${code-coverage-plugins-dir}/${JAVA_PROFILER}/libJPIBootLoader.so>> ${OUTPUT_FILE64}
echo llc-jvm-arg-jvmti=-agentpath:\${llc-jvmti-library}=JPIAgent:server=standalone,file=\;ProbekitAgent:ext-pk-BCILibraryName=BCIEngProbe,ext-pk-probescript=>> ${OUTPUT_FILE64}


echo Code Coverage properties file successfully generated!
echo 